#ifndef _akcelerometr_h
#define _akcelerometr_h   

// DEFINICE
#define CTRL1           0x20
#define OUT_X_L         0x28

#define AKCELEROMETR_ROZSAH       2000       //rozsah akcelerometru v mg
#define AKCELEROMETR_ROZLISENI    32765      //32765 pro 14-bit rozliseni


// FUNKCE

// prikaz cist
uint8_t Read(uint8_t ADDR);

// prikaz zapsat
uint8_t Write(uint8_t ADDR);




// inicializace akcelerometru
void Akcelerometr_Init(void);

// cteni raw hodnoty
void Akcelerometr_ReadRaw(uint8_t* Data);

// ceni a prepocet na stupne, vraci v hodnotu ve °
void Akcelerometr_SklonNaklon(volatile int16_t *sklon,volatile int16_t *naklon,volatile int16_t *odklon);


#endif